
- code: 50000
  enum: RCRTCCodeSignalServerNotConnect
  content: 初始化失败或 IM 未连接
  solution: |-
    **排查建议**：

- code: 50001
  enum: RCRTCCodeParameterError
  content: 接口参数错误
  solution: |-
    **排查建议**：

- code: 50002
  enum: RCRTCCodeJoinToSameRoom
  content: 加入相同房间错误，表示用户在客户端重复加入相同的房间
  solution: |-
    **排查建议**：

- code: 50003
  enum: RCRTCCodeNotInRTCRoom
  content: 调用房间内接口时，不在房间中
  solution: |-
    **排查建议**：

- code: 50004
  enum: RCRTCCodeVoIPNotAvailable
  content: 未开通音视频服务，请到融云开发者后台开启
  solution: |-
    **排查建议**：

- code: 50006
  enum: RCRTCCodeRTCTokenIsNull
  content: RTC token 为空
  solution: |-
    **排查建议**：

- code: 50007
  enum: RCRTCCodeIllegalState
  content: 非法状态
  solution: |-
    **排查建议**：

- code: 50008
  enum: RCRTCCodeChatRoomKVTimeout
  content: 观众加聊天室成功,kv 回调超时(30s)
  solution: |-
    **排查建议**：


- code: 50010
  enum: RCRTCCodeHttpTimeoutError
  content: HTTP 请求超时
  solution: |-
    **排查建议**：

- code: 50011
  enum: RCRTCCodeHttpError
  content: HTTP 响应错误（含 500，404，405 等错误）
  solution: |-
    **排查建议**：

- code: 50020
  enum: RCRTCCodePublishDuplicateResources
  content: 重复发布资源错误
  solution: |-
    **排查建议**：

- code: 50021
  enum: RCRTCCodeSetLocalSDPError
  content: 本地会话协商错误
  solution: |-
    **排查建议**：

- code: 50022
  enum: RCRTCCodeSetRemoteSDPError
  content: 远端会话协商错误
  solution: |-
    **排查建议**：

- code: 50023
  enum: RCRTCCodePublishStreamsHasReachedMaxCount
  content: 发布的流的个数已经到达上限
  solution: |-
    **排查建议**：

- code: 50024
  enum: RCRTCCodeUnpublishUnexistStream
  content: 取消发布不存在的资源
  solution: |-
    **排查建议**：

- code: 50025
  enum: RCRTCCodeCreateOfferError
  content: 创建本地 Offer 失败
  solution: |-
    **排查建议**：

- code: 50026
  enum: RCRTCCodeCreateAnswerError
  content: 创建本地 Answer 失败
  solution: |-
    **排查建议**：

- code: 50027
  enum: RCRTCCodeIncompatibleWithPrivateServer
  content: 公有云 SDK 不能访问私有云服务
  solution: |-
    **排查建议**：

- code: 50028
  enum: RCRTCCodeProxyUnavailableError
  content: 无法使用设置的代理服务转发资源
  solution: |-
    **排查建议**：

- code: 50030
  enum: RCRTCCodeSubscribeNotExistResources
  content: 订阅不存在的资源
  solution: |-
    **排查建议**：

- code: 50031
  enum: RCRTCCodeSubscribeDuplicateResources
  content: 资源重复订阅
  solution: |-
    **排查建议**：

- code: 50032
  enum: RCRTCCodeUnsubscribeNotExistResouce
  content: 取消订阅不存在的资源
  solution: |-
    **排查建议**：

- code: 50033
  enum: RCRTCCodeLiveUrlNotInCurrentRoom
  content: 当前房间不存在这个 liveUrl
  solution: |-
    **排查建议**：

- code: 50065
  enum: RCRTCCodeRTCConnectionIsNil
  content: 当前PeerConnection连接不可用
  solution: |-
    **排查建议**：

- code: 50069
  enum: RCRTCCodeParseJsonDataError
  content: 解析 JSON 错误
  solution: |-
    **排查建议**：

- code: 50074
  enum: RCRTCCodeNotJoinedMainRoom
  content: 没有加入主房间错误
  solution: |-
    **排查建议**：

- code: 50075
  enum: RCRTCCodeOtherRoomIDSameWithMainRoomId
  content: 操作的副房间号码和主房间号码一致错误
  solution: |-
    **排查建议**：

- code: 50076
  enum: RCRTCCodeCancelInviteNotExist
  content: 取消的跨房间连麦请求不存在
  solution: |-
    **排查建议**：

- code: 50077
  enum: RCRTCCodeRespondInviteNotExist
  content: 响应的跨房间连麦请求不存在
  solution: |-
    **排查建议**：

- code: 50079
  enum: RCRTCCodeMCUListNotExist
  content: 服务端返回的 mcuPublishList 为空
  solution: |-
    **排查建议**：

- code: 50080
  enum: RCRTCCodeCDNCountReachToLimit
  content: cdn 地址配置数量到达上限（最大为5个）
  solution: |-
    **排查建议**：

- code: 50081
  enum: RCRTCCodeIllegalFrameTimestamp
  content: 帧时间戳非法
  solution: |-
    **排查建议**：

- code: 50082
  enum: RCRTCCodeDecodeVideoFrameError
  content: 解码视频帧失败
  solution: |-
    **排查建议**：

- code: 50090
  enum: RCRTCCodeEffectFileCountHasBeenReached
  content: 音效文件数量已经到达最大数量
  solution: |-
    **排查建议**：

- code: 50091
  enum: RCRTCCodeHandlingIllegalEffectSoundId
  content: 处理非法的 soundId，如停止播放没有播放过的音效文件 id，此音效 ID 没有预设或者播放过。
  solution: |-
    **排查建议**：

- code: 50100
  enum: RCRTCCodeReconnectError
  content: 自动重连异常
  solution: |-
    **排查建议**：

- code: 50101
  enum: RCRTCCodeChatRoomKVNotExist
  content: 观众加聊天室成功,pullData KV没有值
  solution: |-
    **排查建议**：

- code: 52000
  enum: RCRTCCodeAudioDeviceStartError
  content: 音频设备启动失败
  solution: |-
    **排查建议**：

- code: 52001
  enum: RCRTCCodeSubscribeCDNError
  content: 订阅流时，cdn流订阅失败 
  solution: |-
    **排查建议**：

- code: 54001
  enum: RCRTCCodePlayerModuleNotFound
  content: 没有集成player SDK
  solution: |-
    **排查建议**：

- code: 54003
  enum: RCRTCCodeCDNInnerError
  content: CDN内部错误
  solution: |-
    **排查建议**：

- code: 54008
  enum: RCRTCCodeCdnInfoVideoInterrupt
  content: 数据连接中断 或 音视频源格式不支持
  solution: |-
    **排查建议**：

- code: 54009
  enum: RCRTCCodePlayerInitError
  content: 初始化 player 模块异常
  solution: |-
    **排查建议**：

- code: 55001
  enum: RCRTCCodeSwitchRoleRoomTypeError
  content: 切换角色时房间类型错误，必须为直播房间
  solution: |-
    **排查建议**：

- code: 55002
  enum: RCRTCCodeSwitchRoleSameRoleError
  content: 切换的角色和当前角色相同错误
  solution: |-
    **排查建议**：

- code: 56001
  enum: RCRTCCodeProbeTestNotStart
  content: RTC 网络探测未开始 
  solution: |-
    **排查建议**：

- code: 56002
  enum: RCRTCCodeProbeTestExist
  content:  RTC 网络探测已开始 
  solution: |-
    **排查建议**：

- code: 56003
  enum: RCRTCCodeMediaServerIceDisConnect
  content: RTC 通道连接断开
  solution: |-
    **排查建议**：

- code: 56004
  enum: RCRTCCodeProbeTestForceStop
  content: RTC 网络探测被中断 
  solution: |-
    **排查建议**：

- code: 56005
  enum: RCRTCCodeInterruptByInternal
  content: 由于当前正处在加入房间过程中,不允许其他操作 
  solution: |-
    **排查建议**：

- code: 56006
  enum: RCRTCCodeSEILengthReachToLimit
  content: SEI 数据长度超出限制 4096 字节
  solution: |-
    **排查建议**：

- code: 56007
  enum: RCRTCCodeSEIChannelNotExist
  content: SEI 通道未建立,请检查是否开启 SEI,或者发布音视频
  solution: |-
    **排查建议**：

- code: 56008
  enum: RCRTCCodeSEISendUnknownError
  content: SEI 发送失败
  solution: |-
    **排查建议**：

- code: 56009
  enum: RCRTCCodeSEISendTimePerSecondReachToLimit
  content: SEI 频率超出限制, 1秒内不超过 30 次
  solution: |-
    **排查建议**：
